Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.sandesha2
Interface Sandesha2Constants.Properties.DefaultValues

Enclosing interface:
  Sandesha2Constants.Properties

public static interface Sandesha2Constants.Properties.DefaultValues

Field Summary
`static int` | `AcknowledgementInterval`
`static java.lang.String` | `ContextManager`
`static boolean` | `EnableMakeConnection`
`static boolean` | `EnableRMAnonURI`
`static boolean` | `enforceRM`
`static boolean` | `ExponentialBackoff`
`static int` | `InactivityTimeout`
`static java.lang.String` | `InactivityTimeoutMeasure`
`static java.lang.String` | `InMemoryStorageManager`
`static boolean` | `InvokeInOrder`
`static int` | `MaximumRetransmissionCount`
`static java.lang.String` | `MessageTypesToDrop`
`static java.lang.String` | `PermanentStorageManager`
`static int` | `RetransmissionCount`
`static int` | `RetransmissionInterval`
`static java.lang.String` | `SecurityManager`
`static int` | `sequenceRemovalTimeout`
`static java.lang.String` | `sequenceRemovalTimeoutMeasure`
`static boolean` | `UseMessageSerialization`

Field Detail

### RetransmissionInterval

    public static final int RetransmissionInterval

See Also:
  Constant Field Values

### AcknowledgementInterval

    public static final int AcknowledgementInterval

See Also:
  Constant Field Values

### ExponentialBackoff

    public static final boolean ExponentialBackoff

See Also:
  Constant Field Values

### InactivityTimeout

    public static final int InactivityTimeout

See Also:
  Constant Field Values

### InactivityTimeoutMeasure

    public static final java.lang.String InactivityTimeoutMeasure

See Also:
  Constant Field Values

### sequenceRemovalTimeout

    public static final int sequenceRemovalTimeout

See Also:
  Constant Field Values

### sequenceRemovalTimeoutMeasure

    public static final java.lang.String sequenceRemovalTimeoutMeasure

See Also:
  Constant Field Values

### InMemoryStorageManager

    public static final java.lang.String InMemoryStorageManager

See Also:
  Constant Field Values

### PermanentStorageManager

    public static final java.lang.String PermanentStorageManager

See Also:
  Constant Field Values

### InvokeInOrder

    public static final boolean InvokeInOrder

See Also:
  Constant Field Values

### MessageTypesToDrop

    public static final java.lang.String MessageTypesToDrop

See Also:
  Constant Field Values

### RetransmissionCount

    public static final int RetransmissionCount

See Also:
  Constant Field Values

### MaximumRetransmissionCount

    public static final int MaximumRetransmissionCount

See Also:
  Constant Field Values

### SecurityManager

    public static final java.lang.String SecurityManager

See Also:
  Constant Field Values

### ContextManager

    public static final java.lang.String ContextManager

See Also:
  Constant Field Values

### EnableMakeConnection

    public static final boolean EnableMakeConnection

See Also:
  Constant Field Values

### EnableRMAnonURI

    public static final boolean EnableRMAnonURI

See Also:
  Constant Field Values

### UseMessageSerialization

    public static final boolean UseMessageSerialization

See Also:
  Constant Field Values

### enforceRM

    public static final boolean enforceRM

See Also:
  Constant Field Values

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007 Apache Web Services Project. All Rights Reserved.